/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which deals with wrong settings given in the configuration file.
 * This is only one possibility to deal with inadequate configuration files.
 * @author Michael Kohl
 *
 */
public class WrongProLiCSettingException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6935289251042754712L;

	/**
	 * 
	 */
	public WrongProLiCSettingException() {

	}

	/**
	 * @param message
	 */
	public WrongProLiCSettingException(String message) {
		super(message);

	}

	/**
	 * @param cause
	 */
	public WrongProLiCSettingException(Throwable cause) {
		super(cause);

	}

	/**
	 * @param message
	 * @param cause
	 */
	public WrongProLiCSettingException(String message, Throwable cause) {
		super(message, cause);

	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public WrongProLiCSettingException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);

	}

}
